Skip to content

Get Token Information

GET
/v4/web3/token-info/{network}/{address}

Retrieve token metadata with current price and price change for a token on a given network.

Authorizations

ApiKeyAuth
Type
API Key (header: X-Api-Key)

Parameters

Path Parameters

network*

Blockchain network identifier.

Type
string
Required
address*

Token contract or mint address.

Type
string
Required

Responses

OK

application/json
JSON
{
"status": "ok",
"payload": {
"token": {
"address": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
"name": "USD Coin",
"symbol": "USDC",
"decimals": 6,
"logoUrl": "string",
"network": "ethereum",
"networkKind": "evm",
"meta": {
"permitData": {
"hasPermit": true,
"permitVersion": "2",
"permitType": "erc2612",
"additionalProperties": "string"
},
"additionalProperties": "string"
},
"price": "1",
"priceChange": 0.0044225362257688024
}
}
}

Playground

Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI

Code examples

bash
curl -X GET https://api.brrr.network/v4/web3/token-info/ethereum/0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48 \
  -H "X-Api-Key: YOUR_API_KEY"
javascript
const network = 'ethereum';
const address = '0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48';

const response = await fetch(
  `https://api.brrr.network/v4/web3/token-info/${network}/${address}`,
  {
    headers: {
      'X-Api-Key': process.env.BRRR_API_KEY,
    },
  }
);

if (!response.ok) {
  const error = await response.json();
  throw new Error(`Token lookup failed: ${error.errorCode}`);
}

const data = await response.json();
console.log('Token info:', data.payload.token);
python
import os
import httpx

network = 'ethereum'
address = '0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48'

response = httpx.get(
    f'https://api.brrr.network/v4/web3/token-info/{network}/{address}',
    headers={'X-Api-Key': os.environ['BRRR_API_KEY']},
)
response.raise_for_status()
print('Token info:', response.json()['payload']['token'])